{inputs, ...}: {
  imports = with inputs; [
    self.nixosModules.desktop
    self.nixosModules.system
    self.modules.shared.nixos
    ./disko
    ./hardware
    ./misc
  ];

  networking = {
    hostId = "31150fae";
    hostName = "sarien";
  };

  system.stateVersion = "25.11";
  time.timeZone = "Europe/Kyiv";

  desktop.niri.enable = true;

  services.displayManager.autoLogin = {
    enable = true;
    user = "user";
  };

  swapDevices = [
    {
      device = "/swap/swapfile";
      size = 4 * 1024;
      priority = 100;
    }
    {
      device = "/swap/hibernate";
      size = 16 * 1024;
      priority = 1;
    }
  ];

  module = {
    config = {
      laptop.homeRowMods = true;
      powerSave = true;
      useIwd = true;
      vaapi = "intel-media-driver";
    };
    stylix = {
      enable = true;
      theme = "gruvbox-dark-pale";
    };
    locale = "uk_UA.UTF-8";
    misc.qmk-vial.enable = true;
    virt.libvirt.enable = true;
  };
}
