{
  config,
  lib,
  ...
}: let
  inherit (lib) mkIf mkEnableOption;
in {
  options = {
    module.misc.qmk-vial.enable =
      mkEnableOption "adds a udev rule for vial keyboards";
  };
  config = mkIf config.module.misc.qmk-vial.enable {
    services.udev.extraRules = ''
      KERNEL=="hidraw*", SUBSYSTEM=="hidraw", MODE="0660", GROUP="users", TAG+="uaccess", TAG+="udev-acl"
    '';
  };
}
